# $Revision: 1.10 $, $Date: 2002/08/05 17:28:20 $
Summary:	Borland CONIO library port for Unix
Summary(pl):	Port biblioteki Borland CONIO dla Unixa
Name:		UConio
Version:	1.0.9
Release:	2
License:	GPL
Group:		Libraries
Source0:	http://crazylovetrain.hypermart.net/files/uconio/%{name}-%{version}-PR.tar.gz
Patch0:		%{name}-make.patch
URL:		http://crazylovetrain.hypermart.net/projects.htm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%ifarch ppc
%define		optflags	-O0
%endif

%description
UConio is a Unix port of the Borland Console Input/Output Library
(CONIO) for DOS, and includes some new features of its own.

%description -l pl
UConio jest Uniksowym portem biblioteki Borland Console Input/Output
(CONIO) dla DOS-a, zawiera te troch dodanych, nowych funkcji.

%package devel
Summary:	Header files and development documentation for %{name}
Summary(pl):	Pliki nagwkowe i dokumentacja do %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files and development documentation for %{name}.

%description -l pl devel
Pliki nagwkowe i dokumentacja do %{name}.

%prep
%setup -q -n %{name}-%{version}-PR
%patch -p1

bzip2 -d man/*.bz2

%build
%{__make} "CFLAGS=%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_mandir}/man3,%{_includedir}}

install	bin/libuconio.so.* $RPM_BUILD_ROOT%{_libdir}
install include/*.h $RPM_BUILD_ROOT%{_includedir}
install	man/*.3 $RPM_BUILD_ROOT%{_mandir}/man3

(cd $RPM_BUILD_ROOT%{_libdir}; ln -s libuconio.so.* libuconio.so)

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/{AUTHOR,BUGS,ChangeLog,HELPERS,README}
%attr(755,root,root) %{_libdir}/lib*.so.*

%files devel
%defattr(644,root,root,755)
%doc tutorial/txt/*.txt
%attr(755,root,root) %{_libdir}/lib*.so
%{_mandir}/man3/*
%{_includedir}/*.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: UConio.spec,v $
Revision 1.10  2002/08/05 17:28:20  kloczek
- cosmetics.

Revision 1.9  2002/08/05 17:08:51  mmazur
- proper ppc workaround... STBR anyone?

Revision 1.8  2002/08/05 14:25:08  mmazur
- the one true way for this workaround

Revision 1.7  2002/08/05 13:19:24  mmazur
- nasty workaround for stupid gcc2

Revision 1.6  2002/08/03 23:35:19  mmazur
- use new %doc
- fixed building on ppc; rel2; STBR
- forcing buildflags is fucking SICK... SICK! SICK!! SICK!!! you hear me?
  SIIIIIIIIIIIIICK!!!!!!!! authors should know better than we do

Revision 1.5  2002/02/22 23:28:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:12:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/10/31 09:35:34  qboosh
- adapterized, fixed typos

Revision 1.2  2001/05/17 22:18:30  kloczek
- cosmetics.

Revision 1.1  2001/05/17 12:42:26  misiek
initial pld release
